package com.sinosig.web.module.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.List;
import java.util.ArrayList;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * 应用实体[商业险信息]
 */
public class SYXXX implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 不计免赔
     */
    private Integer Bjmp;

    @JsonIgnore
    private boolean BjmpDirtyFlag;
    /**
     * 车险单标识
     */
    private String CIDId;

    @JsonIgnore
    private boolean CIDIdDirtyFlag;
    /**
     * 费率
     */
    private Double Fl;

    @JsonIgnore
    private boolean FlDirtyFlag;
    /**
     * 基准保费
     */
    private BigDecimal Jzbf;

    @JsonIgnore
    private boolean JzbfDirtyFlag;
    /**
     * 平台返回系数
     */
    private Double Ptfhxs;

    @JsonIgnore
    private boolean PtfhxsDirtyFlag;
    /**
     * 实交保费
     */
    private BigDecimal Sjbf;

    @JsonIgnore
    private boolean SjbfDirtyFlag;
    /**
     * 商业险信息标识
     */
    private String SYXXXId;

    @JsonIgnore
    private boolean SYXXXIdDirtyFlag;
    /**
     * 商业险信息名称
     */
    private String SYXXXName;

    @JsonIgnore
    private boolean SYXXXNameDirtyFlag;
    /**
     * 条款代码
     */
    private String Tkdm;

    @JsonIgnore
    private boolean TkdmDirtyFlag;
    /**
     * 条款名称
     */
    private String Tkmc;

    @JsonIgnore
    private boolean TkmcDirtyFlag;
    /**
     * 更新时间
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;
    /**
     * 责任限额
     */
    private BigDecimal Zrxe;

    @JsonIgnore
    private boolean ZrxeDirtyFlag;
    /**
     * 自主系数
     */
    private Double Zzxs;

    @JsonIgnore
    private boolean ZzxsDirtyFlag;

    /**
     * 获取 [不计免赔]
     */
    @JsonProperty("bjmp")
    public Integer getBjmp(){
        return Bjmp ;
    }

    /**
     * 设置 [不计免赔]
     */
    @JsonProperty("bjmp")
    public void setBjmp(Integer  bjmp){
        this.Bjmp = bjmp ;
        this.BjmpDirtyFlag = true ;
    }

    /**
     * 获取 [不计免赔]脏标记
     */
    @JsonIgnore
    public boolean getBjmpDirtyFlag(){
        return this.BjmpDirtyFlag ;
    }

    /**
     * 获取 [车险单标识]
     */
    @JsonProperty("cidid")
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    @JsonProperty("cidid")
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }

    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return this.CIDIdDirtyFlag ;
    }

    /**
     * 获取 [费率]
     */
    @JsonProperty("fl")
    public Double getFl(){
        return Fl ;
    }

    /**
     * 设置 [费率]
     */
    @JsonProperty("fl")
    public void setFl(Double  fl){
        this.Fl = fl ;
        this.FlDirtyFlag = true ;
    }

    /**
     * 获取 [费率]脏标记
     */
    @JsonIgnore
    public boolean getFlDirtyFlag(){
        return this.FlDirtyFlag ;
    }

    /**
     * 获取 [基准保费]
     */
    @JsonProperty("jzbf")
    public BigDecimal getJzbf(){
        return Jzbf ;
    }

    /**
     * 设置 [基准保费]
     */
    @JsonProperty("jzbf")
    public void setJzbf(BigDecimal  jzbf){
        this.Jzbf = jzbf ;
        this.JzbfDirtyFlag = true ;
    }

    /**
     * 获取 [基准保费]脏标记
     */
    @JsonIgnore
    public boolean getJzbfDirtyFlag(){
        return this.JzbfDirtyFlag ;
    }

    /**
     * 获取 [平台返回系数]
     */
    @JsonProperty("ptfhxs")
    public Double getPtfhxs(){
        return Ptfhxs ;
    }

    /**
     * 设置 [平台返回系数]
     */
    @JsonProperty("ptfhxs")
    public void setPtfhxs(Double  ptfhxs){
        this.Ptfhxs = ptfhxs ;
        this.PtfhxsDirtyFlag = true ;
    }

    /**
     * 获取 [平台返回系数]脏标记
     */
    @JsonIgnore
    public boolean getPtfhxsDirtyFlag(){
        return this.PtfhxsDirtyFlag ;
    }

    /**
     * 获取 [实交保费]
     */
    @JsonProperty("sjbf")
    public BigDecimal getSjbf(){
        return Sjbf ;
    }

    /**
     * 设置 [实交保费]
     */
    @JsonProperty("sjbf")
    public void setSjbf(BigDecimal  sjbf){
        this.Sjbf = sjbf ;
        this.SjbfDirtyFlag = true ;
    }

    /**
     * 获取 [实交保费]脏标记
     */
    @JsonIgnore
    public boolean getSjbfDirtyFlag(){
        return this.SjbfDirtyFlag ;
    }

    /**
     * 获取 [商业险信息标识]
     */
    @JsonProperty("syxxxid")
    public String getSYXXXId(){
        return SYXXXId ;
    }

    /**
     * 设置 [商业险信息标识]
     */
    @JsonProperty("syxxxid")
    public void setSYXXXId(String  sYXXXId){
        this.SYXXXId = sYXXXId ;
        this.SYXXXIdDirtyFlag = true ;
    }

    /**
     * 获取 [商业险信息标识]脏标记
     */
    @JsonIgnore
    public boolean getSYXXXIdDirtyFlag(){
        return this.SYXXXIdDirtyFlag ;
    }

    /**
     * 获取 [商业险信息名称]
     */
    @JsonProperty("syxxxname")
    public String getSYXXXName(){
        return SYXXXName ;
    }

    /**
     * 设置 [商业险信息名称]
     */
    @JsonProperty("syxxxname")
    public void setSYXXXName(String  sYXXXName){
        this.SYXXXName = sYXXXName ;
        this.SYXXXNameDirtyFlag = true ;
    }

    /**
     * 获取 [商业险信息名称]脏标记
     */
    @JsonIgnore
    public boolean getSYXXXNameDirtyFlag(){
        return this.SYXXXNameDirtyFlag ;
    }

    /**
     * 获取 [条款代码]
     */
    @JsonProperty("tkdm")
    public String getTkdm(){
        return Tkdm ;
    }

    /**
     * 设置 [条款代码]
     */
    @JsonProperty("tkdm")
    public void setTkdm(String  tkdm){
        this.Tkdm = tkdm ;
        this.TkdmDirtyFlag = true ;
    }

    /**
     * 获取 [条款代码]脏标记
     */
    @JsonIgnore
    public boolean getTkdmDirtyFlag(){
        return this.TkdmDirtyFlag ;
    }

    /**
     * 获取 [条款名称]
     */
    @JsonProperty("tkmc")
    public String getTkmc(){
        return Tkmc ;
    }

    /**
     * 设置 [条款名称]
     */
    @JsonProperty("tkmc")
    public void setTkmc(String  tkmc){
        this.Tkmc = tkmc ;
        this.TkmcDirtyFlag = true ;
    }

    /**
     * 获取 [条款名称]脏标记
     */
    @JsonIgnore
    public boolean getTkmcDirtyFlag(){
        return this.TkmcDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [责任限额]
     */
    @JsonProperty("zrxe")
    public BigDecimal getZrxe(){
        return Zrxe ;
    }

    /**
     * 设置 [责任限额]
     */
    @JsonProperty("zrxe")
    public void setZrxe(BigDecimal  zrxe){
        this.Zrxe = zrxe ;
        this.ZrxeDirtyFlag = true ;
    }

    /**
     * 获取 [责任限额]脏标记
     */
    @JsonIgnore
    public boolean getZrxeDirtyFlag(){
        return this.ZrxeDirtyFlag ;
    }

    /**
     * 获取 [自主系数]
     */
    @JsonProperty("zzxs")
    public Double getZzxs(){
        return Zzxs ;
    }

    /**
     * 设置 [自主系数]
     */
    @JsonProperty("zzxs")
    public void setZzxs(Double  zzxs){
        this.Zzxs = zzxs ;
        this.ZzxsDirtyFlag = true ;
    }

    /**
     * 获取 [自主系数]脏标记
     */
    @JsonIgnore
    public boolean getZzxsDirtyFlag(){
        return this.ZzxsDirtyFlag ;
    }



}
